[Pvfs2-cvs] commit by pcarns in pvfs2-1/maint: make-dist.sh
pvfs2-options-parser.pl pvfs2htmlfixup.sh
CVS commit program
cvs at parl.clemson.edu
Mon Apr 7 11:07:08 EDT 2008
Update of /projects/cvsroot/pvfs2-1/maint
In directory parlweb1:/tmp/cvs-serv26608/maint
Modified Files:
Tag: small-file-branch
make-dist.sh pvfs2-options-parser.pl pvfs2htmlfixup.sh
Log Message:
syncing small-file-branch back up with trunk at small-file-branch-point2 tag
(reverse merge)
Index: make-dist.sh
===================================================================
RCS file: /projects/cvsroot/pvfs2-1/maint/make-dist.sh,v
diff -p -u -r1.11 -r1.11.2.1
--- make-dist.sh 15 Jan 2008 22:58:29 -0000 1.11
+++ make-dist.sh 7 Apr 2008 15:07:07 -0000 1.11.2.1
@@ -49,22 +49,50 @@ fi
##################
# start processing
##################
-make clean
-make docs
-make statecompgen
+# new directory to construct release in
if test -d $TARGETDIR; then
rm -rf $TARGETDIR
fi
mkdir $TARGETDIR
+if [ $? -ne 0 ]
+then
+ exit 1
+fi
+# copy source over
cp -f --no-dereference -R $SRCDIR/* $TARGETDIR
-cp $BUILDDIR/src/common/statecomp/parser.h $TARGETDIR/src/common/statecomp/
-cp $BUILDDIR/src/common/statecomp/parser.c $TARGETDIR/src/common/statecomp/
-cp $BUILDDIR/src/common/statecomp/scanner.c $TARGETDIR/src/common/statecomp/
cd $TARGETDIR
+# dump some special options into the top level module.mk.in
+echo "DIST_RELEASE = 1" >> module.mk.in
+
+# configure, build docs and state machine files
+./configure
+if [ $? -ne 0 ]
+then
+ exit 1
+fi
+make docs
+if [ $? -ne 0 ]
+then
+ exit 1
+fi
+make statecompgen
+if [ $? -ne 0 ]
+then
+ exit 1
+fi
+
+# clean out extra files (distclean will not remove .sm or doc files if
+# DIST_RELEASE is set)
+make distclean
+if [ $? -ne 0 ]
+then
+ exit 1
+fi
+
# clean out cvs directories and other cruft (if any)
for f in `find . | grep CVS`; do rm -rf $f; done
for f in `find . | grep \#`; do rm -rf $f; done
@@ -78,9 +106,6 @@ for f in `find . -name "*.toc"`; do rm -
for f in `find . -name "*.aux"`; do rm -rf $f; done
rm -f Makefile pvfs2-config.h PVFS2-GLOBAL-TODO.txt
rm -f src/common/statecomp/statecomp
-
-# dump some special options into the top level module.mk.in
-echo "DIST_RELEASE = 1" >> module.mk.in
# make sure the cleaned up directory exists
cd /tmp
Index: pvfs2-options-parser.pl
===================================================================
RCS file: /projects/cvsroot/pvfs2-1/maint/pvfs2-options-parser.pl,v
diff -p -u -r1.1 -r1.1.36.1
--- pvfs2-options-parser.pl 8 Jul 2006 01:17:59 -0000 1.1
+++ pvfs2-options-parser.pl 7 Apr 2008 15:07:08 -0000 1.1.36.1
@@ -39,8 +39,9 @@ close($optionfd);
my ($optsdoc, $optdef) = $optstr =~ /\/\*((?:[^*]*(?:\*(?!\/))?[^*]*)*)\*\/\s*static\s*const\s*configoption_t[^{]+\{(.+)LAST_OPTION.*$/sg;
print << "EOF"
-<html><head><title>PVFS2 $version: Config File Description</title>
+<? include("../../../header.php"); ?>
+<title>PVFS2 $version: Config File Description</title>
<style type="text/css">
<!--
table.tabletype1 {
@@ -164,7 +165,10 @@ body {
</style>
</head>
-<body>
+
+<? include("../../../top.php"); ?>
+
+<body id="documentation">
<h1>PVFS2 $version: Config File Description</h1>
<p>
$optsdoc
@@ -481,3 +485,4 @@ sub print_context
}
}
+print "<? include(\"../../../bottom.php\"); ?>";
Index: pvfs2htmlfixup.sh
===================================================================
RCS file: /projects/cvsroot/pvfs2-1/maint/pvfs2htmlfixup.sh,v
diff -p -u -r1.1 -r1.1.66.1
--- pvfs2htmlfixup.sh 27 Jul 2004 20:38:29 -0000 1.1
+++ pvfs2htmlfixup.sh 7 Apr 2008 15:07:08 -0000 1.1.66.1
@@ -4,5 +4,17 @@
# through latex2html-init . I couldn't find a good way to make latex2html add
# the closing tags and '#include virtual=...' stuff
-perl -p -i -e 's~</HEAD>~<!--#include virtual="style_defs.html" -->\n</HEAD>~' $@
-perl -p -i -e 's~</ADDRESS>~</ADDRESS>\n</td>\n</tr>\n</table>\n<!--#include virtual="bottom_of_page.html" -->\n</td>\n</tr>\n</table>~' $@
+basename=$(echo $@ | sed -e "s|\(.*\)\.html$|\1|")
+target=$(echo $@ | sed -e "s|^.*/\([^/]*\)/[^/]*\.html$|\1|")
+
+prefixes="../../../.."
+
+cp $basename.html $basename.php
+
+perl -p -i -e 's~</HEAD>~<? include("../../../../header.php"); ?></HEAD>~' $basename.php
+perl -p -i -e 's~<BODY.*$~<?include("../../../..//top.php"); ?> <body id="documentation">~' $basename.php
+perl -p -i -e 's~^.*top_of_page.*$~~' $basename.php
+perl -p -i -e 's~</ADDRESS>~</ADDRESS></table></table></table><?include("../../../../bottom.php"); ?>~' $basename.php
+perl -p -i -e 's~ALIGN="CENTER"~ALIGN="LEFT"~' $basename.php
+perl -p -i -e 's~align="center"~align="left"~' $basename.php
+perl -p -i -e "s~$target.html~$target.php~" $basename.php
More information about the Pvfs2-cvs
mailing list